Package org.apache.sling.junit

# Class SlingTestContext

java.lang.Object
org.apache.sling.junit.SlingTestContext

public class SlingTestContext extends Object
Provide test parameters (the "input map") and allow tests to provide additional metadata (in an "output map") about their results. Meant to be used to implement performance tests that run inside Sling instances - we'll expand the junit.core module to optionally use this.

## Constructor Summary

Constructors
Constructor
Description
`SlingTestContext()`

## Method Summary

Modifier and Type
Method
Description
`Map<String,Object>`
`input()`
`Map<String,Object>`
`output()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SlingTestContext

public SlingTestContext()

## Method Details

### input

public Map<String,Object> input()

### output

public Map<String,Object> output()